Subject: bug#10672: [GNU Libtool 2.4] testsuite: 7 9 10 11 14 15 16 17 18 19 20 86 87 88 96 97 98 failed

From: Matthew Wezowicz <[email-masked]>
Date: Tue, 31 Jan 2012 21:27:43 -0500

It appears that the umask was the problem.
I rebuilt and reran the tests from a local directory and everything went
perfectly.
Your help in this has been much appreciated because this problem may have
been affecting some of my other builds as well.
The Automake support people have been helping me track down a bug as well
that they couldn't figure out from their logs.
Now I think it might be related to the umask problem.
Again, much appreciated.

On Tue, Jan 31, 2012 at 7:03 PM, Matthew Wezowicz <[email-masked]> wrote:

> That seems quiet possible.
> The machine is a recent re-install and the home directories are mounted
> from an NFS share that we have been having trouble with.
> It marks everything in it as belonging to nobody:nobody.
> I will try building on the local disk where I have more control and get
> back to you.
>
>
> On Tue, Jan 31, 2012 at 5:07 PM, Peter O'Gorman <[email-masked]> wrote:
>
>> On 01/30/2012 09:09 PM, Matthew Wezowicz wrote:
>>
>>> Bugs encountered in Libtool 2.4 Test Suite
>>> Multiple tests failed.
>>> Autoconf version 2.68
>>> Automake version 1.11
>>> CentOS 6.2 OS
>>> 2.6.32-220.4.1.el6.x86_64 kernel
>>> gcc version 4.4.6
>>> Log attached
>>>
>>>
>> Hi, thanks for the report. This looks like a permissions issue:
>>
>> --- /dev/null   2012-01-30 16:44:19.523363233 -0500
>> +++ /home/mwezz/Downloads/libtool-**2.4/tests/testsuite.dir/at-**groups/7/stderr
>>    2012-01-30 21:53:31.000000000 -0500
>> @@ -0,0 +1,4 @@
>> +touch: cannot touch `build-aux/ltmain.sh': Permission denied
>> +libtoolize: can not copy `/home/mwezz/Downloads/**
>> libtool-2.4/libltdl/config/**ltmain.sh' to `build-aux/'
>> +touch: cannot touch `m4/ltversion.m4': Permission denied
>> +libtoolize: can not copy `/home/mwezz/Downloads/**
>> libtool-2.4/libltdl/m4/**ltversion.m4' to `m4/'
>> --- expout      2012-01-30 21:53:30.000000000 -0500
>>
>> Not sure what the problem is, perhaps your umask?
>>
>> Peter
>>
>>
>
>
> --
> Matthew "Wezzy" Wezowicz
> University of Delaware GCL Undergraduate Researcher
>
>

-- 
Matthew "Wezzy" Wezowicz
University of Delaware GCL Undergraduate Researcher